1. 云栖社区>
  2. PHP教程>
  3. 正文

RedHat Linux9平台下搭建LAMP(Linux+Apache+Mysql+PHP)

作者:用户 来源:互联网 时间:2017-12-01 17:33:25

RedHat Linux9平台下搭建LAMP(Linux+Apache+Mysql+PHP) - 摘要: 本文讲的是RedHat Linux9平台下搭建LAMP(Linux+Apache+Mysql+PHP), 一、安装环境: 系统平台:Red Hat Linux9,内核2.4.20-8,文字界面(未安装图形界面) 硬件配置: CPU:CM 1.8 RAM:128MB DISK:40GB 二、软件需求及下地地址: 1、apache2.2.6 下载

一、安装环境:

系统平台:Red Hat Linux9,内核2.4.20-8,文字界面(未安装图形界面)

硬件配置:

CPU:CM 1.8

RAM:128MB

DISK:40GB

二、软件需求及下地地址:

1、apache2.2.6

下载地址:http://apache.mirror.phpchina.com/httpd/httpd-2.2.6.tar.gz]http://apache.mirror.phpchina.com/httpd/httpd-2.2.6.tar.gz

2、mysql5.0.45

下载以下rpm包:

mysql-server-5.0.45-0.i386.rpmmysql-devel-5.0.45-0.i386.rpmmysql-client-5.0.45-0.i386.rpmmysql-shared-5.0.45-0.i386.rpm

下载地址:

server:

http://dev.mysql.com/get/Downloads/mysql-5.0/mysql-server-5.0.45-0.glibc23.i386.rpm/from/http://mysql.ntu.edu.tw/]http://dev.mysql.com/get/Downloads/mysql-5.0/mysql-server-5.0.45-0.glibc23.i386.rpm/from/http://mysql.ntu.edu.tw/

devel:

http://dev.mysql.com/get/Downloads/mysql-5.0/mysql-devel-5.0.45-0.glibc23.i386.rpm/from/http://mysql.cs.pu.edu.tw/]http://dev.mysql.com/get/Downloads/mysql-5.0/mysql-devel-5.0.45-0.glibc23.i386.rpm/from/http://mysql.cs.pu.edu.tw/

client:

http://dev.mysql.com/get/Downloads/mysql-5.0/mysql-client-5.0.45-0.glibc23.i386.rpm/from/http://mysql.cdpa.nsysu.edu.tw/]http://dev.mysql.com/get/Downloads/mysql-5.0/mysql-client-5.0.45-0.glibc23.i386.rpm/from/http://mysql.cdpa.nsysu.edu.tw/

shared:

http://dev.mysql.com/get/Downloads/mysql-5.0/mysql-shared-5.0.45-0.glibc23.i386.rpm/from/http://mysql.cdpa.nsysu.edu.tw/]http://dev.mysql.com/get/Downloads/mysql-5.0/mysql-shared-5.0.45-0.glibc23.i386.rpm/from/http://mysql.cdpa.nsysu.edu.tw/

此外,这个版本用文字界面安装的话,有可能会缺一个perl组件:perl-DBI-1.32-5.i386.rpm,当你安装mysql的时候可能缺少这个依赖组件。或许有的人不会缺,不过在些还是提醒一下。。。

下载地址:

这个软件一般在Red Hat Linux9 安装盘的第二张盘里面可以找到,如果手里没有安装盘,那么只能去百度上搜啦。

3、PHP5.2.4 :

下载:http://cn.php.net/get/php-5.2.5.tar.bz2/from/hk.php.net/mirror

此外,如果安装的版本是PHP5的话,那么还需要对XML库进行升级,因为系统自带的版本可能较低,configure的时候有可能过不去的哦。

这就是说,安装PHP5的话,要安装一些必须的库支持:

libxml2-2.6.19.tar.gz :http://ftp.gnome.org/pub/GNOME/sources/libxml2/2.6/libxml2-2.6.19.tar.gz

libxslt-1.1.15.tar.gz :http://ftp.gnome.org/pub/GNOME/sources/libxslt/1.1/libxslt-1.1.15.tar.gz

curl-7.15.0.tar.gz:http://curl.haxx.se/download/curl-7.15.0.tar.gz

以上是云栖社区小编为您精心准备的的内容,在云栖社区的博客、问答、公众号、人物、课程等栏目也有的相关内容,欢迎继续使用右上角搜索按钮进行搜索,以便于您获取更多的相关知识。